{% macro git_repo(url, dir, branch) %}
  <li class="mb-sm-2">Clone the tests repository from another computer <i>(Note that the branch being tested may change depending on the release, please make sure to clone the correct branch for the release in question)</i>:</li>
  <p><kbd>$ git clone --branch {{ branch }} {{ url }}</kbd></p>
  <li class="mb-sm-2">Copy the test directory {{ dir }} to the target device:</li>
  <p><kbd>$ DUT_IP=&ltdevice-ip&gt</kbd></p>
  <p><kbd>$ scp -r {{ dir }} user@$DUT_IP:</kbd></p>
  <li class="mb-sm-2">Log into the target device:</li>
  <p><kbd>$ ssh user@$DUT_IP</kbd></p>
{% endmacro %}

{% macro ostree_preconditions(preconditions) %}
{% for precondition in preconditions %}
  <li class="mb-sm-2">From a PC, download and unpack the test data tarball from the gitlab test repository:</li>
  <p><kbd>$ wget https://gitlab.apertis.org/tests/{{ precondition.reponame }}/-/archive/{{ precondition.branch }}/{{ precondition.reponame }}.tar.gz</kbd></p>
  <p><kbd>$ tar -xvf {{ precondition.reponame }}.tar.gz</kbd></p>
  <li class="mb-sm-2">Copy the {{ precondition.reponame }}-* folder to the target device:</li>
  <p><kbd>$ DUT_IP=&ltdevice-ip&gt</kbd></p>
  <p><kbd>$ scp -r {{ precondition.reponame }}-* user@$DUT_IP:</kbd></p>
  <li class="mb-sm-2">Log into the target device:</li>
  <p><kbd>$ ssh user@$DUT_IP</kbd></p>
  <li class="mb-sm-2">After log into the DUT, enter the test directory</li>
  <p><kbd>$ cd {{ precondition.reponame }}-*</kbd></p>
  <li class="mb-sm-2">Note that the tarball may change depending on the release/branch being tested, please make sure to download the correct tarball for the release in question.</li>
{% endfor %}
{% endmacro %}

{% macro install_packages(packages_list) %}
  <li class="mb-sm-2">Ensure Rootfs is remounted as read/write.</li>
  <p><kbd>$ sudo mount -o remount,rw /</kbd></p>
  <li class="mb-sm-2">Install dependencies</li>
  <p><kbd>$ sudo apt install {{ packages_list }}</kbd></p>
  <li class="mb-sm-2">Restart the system to restore the filesystem state to read-only before running the test.</li>
  <p><kbd>$ sudo reboot</kbd></p>
{% endmacro %}

{% macro modules_preconditions(libname) %}
  <li class="mb-sm-2">Download the ribchester binary inside the /tmp directory.</li>
  <p><kbd>$ cd /tmp/</kbd></p>
  <p><kbd>$ apt source {{ libname }}</kbd></p>
  <p><kbd>$ chown user:user -R /tmp/{{ libname }}-*</kbd></p>
{% endmacro %}
